GNU bug report logs - #30758
25.3; Cannot exit minibuffer with C-g when opening file or switching buffers

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tim Fischbach <mail@HIDDEN>; Keywords: moreinfo unreproducible; merged with #26289, #29063; dated Fri, 9 Mar 2018 16:23:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 26289 29063 30758. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30758 <at> debbugs.gnu.org:


Received: (at 30758) by debbugs.gnu.org; 10 Mar 2018 03:05:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 22:05:15 2018
Received: from localhost ([127.0.0.1]:52997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1euUot-00042f-DW
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 22:05:15 -0500
Received: from mail-it0-f53.google.com ([209.85.214.53]:39862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1euUoq-00042M-Vr; Fri, 09 Mar 2018 22:05:13 -0500
Received: by mail-it0-f53.google.com with SMTP id l187-v6so5177386ith.4;
 Fri, 09 Mar 2018 19:05:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=P25dVPWa17cc4vcYbwspJuhlbgMAy5VUmmwwRVBOEng=;
 b=fbKjLACVwhKY2IOynB8oHy0QSxbLomVKAVfbBXxyXaon77uD51W5/dw7lAaxOlidCZ
 SD1Icqdeew//tsjMYsF0lLXHzQDFS8x66gXFcs93Ky7tzLjvSyYCSlMd2t7ARsx0yGpO
 lJ6waQzExUWRyCJjLo6pK6Ei4NBf2GZtIfMVrVrQRlA2vrzCilXveOtG+cz8p48NvKuJ
 udcAEDohQwWEaTzaxAHdzxcQPYtFAc/x5OV3UGjT+yP8yOhlWC6gh3Mn9mfyoUj0OfmH
 Dbuumci3y1CduaxpnzIPMm9ef9A2ulVYxYVc57mrT6Bm+MwLJXciT2mbaEfWKPtpjGvv
 Pgmg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=P25dVPWa17cc4vcYbwspJuhlbgMAy5VUmmwwRVBOEng=;
 b=r5l+HERfdbFJz5mswte/yST0OAfF5hBxhwL9Vf7X81qE1OePx7jw6ks57ywiluYA2t
 +gsZzPfROQIAmE52MkIrGFyr9BbAT9r2gmSE3adHGZtuidDOjbPZUflzHYpHQeVypgdo
 Oo145iqM1kvznmWZSDqZYRi2PqH4EzYT9/LtPe0UfitYrgWZ7+y/2dx13kzBESW9iIrr
 cILBsIbEg1NN/2QtDxky43Y6wGp304zX5OZZpTAStVhXdIz5TPIkNEKW+stZIycv7jPK
 mblpWj30NYsxvaW8iJh/vAx1NuszBCNkKF/eWiCzPeO+5BkosldQPa4sLxPokg5vIOqG
 7T7w==
X-Gm-Message-State: AElRT7FC35OMJkSQa0y4nFzOA9DSwAOjZ3jshtgc7LpmX0R5ZSvV6EDA
 OTIgP6rg9H9rypNWFlMJ4MYiBg==
X-Google-Smtp-Source: AG47ELtucE5bLZHRfQyEtHrAIpGEA8F58MBGYAb5lVFleiKeocyQ+PqIVnwFUmeRixlS8iHDqx0RxA==
X-Received: by 10.36.250.198 with SMTP id v189mr195483ith.3.1520651107415;
 Fri, 09 Mar 2018 19:05:07 -0800 (PST)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 z196sm1788753iod.50.2018.03.09.19.05.06
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 09 Mar 2018 19:05:06 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: Tim Fischbach <mail@HIDDEN>
Subject: Re: bug#30758: 25.3;
 Cannot exit minibuffer with C-g when opening file or switching buffers
References: <CAJXxpwQGR1d65Ev9sn-duc8LZuR1BbMxC_F4Yc4C+cJAnxra2g@HIDDEN>
Date: Fri, 09 Mar 2018 22:05:05 -0500
In-Reply-To: <CAJXxpwQGR1d65Ev9sn-duc8LZuR1BbMxC_F4Yc4C+cJAnxra2g@HIDDEN> (Tim
 Fischbach's message of "Fri, 09 Mar 2018 09:33:57 +0000")
Message-ID: <871sgs1vha.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30758
Cc: 30758 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

unarchive 26289
reopen 26289
merge 30758 29063 26289
quit

Tim Fischbach <mail@HIDDEN> writes:

> I am facing the exact problem described in=C2=A0
>
> =C2=A0 https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D26289
>
> on both Emacs 25.3.2 and 24.5.1 also via `emacs -Q`.=C2=A0
> When running emacs inside the terminal via `emacs -nw` the problem
> does not occur.

Do you see the same symptoms described in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D29063#17

    I have also noticed that, with toggle-debug-on-quit on, just typing C-g
    while in the normal writing buffer will always send me to the debugger =
on
    only one line:

    Debugger entered--Lisp error: (quit)
      internal-timer-start-idle()

    This happens in the broken emacs only, and C-g here does nothing in the
    working emacs. Likewise, in the broken emacs, while I am highlighting t=
ext
    with C-space, C-g will 50% of the time cancel the highlight and 50% of =
the
    time open the above debugger on the timer start function.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30758; Package emacs. Full text available.

Message received at 30758 <at> debbugs.gnu.org:


Received: (at 30758) by debbugs.gnu.org; 9 Mar 2018 18:32:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 13:32:05 2018
Received: from localhost ([127.0.0.1]:52821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1euMoG-0005rp-Rq
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 13:32:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1euMoE-0005rK-Tp
 for 30758 <at> debbugs.gnu.org; Fri, 09 Mar 2018 13:32:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1euMo8-0005wk-SL
 for 30758 <at> debbugs.gnu.org; Fri, 09 Mar 2018 13:31:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41441)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1euMo8-0005wf-OI; Fri, 09 Mar 2018 13:31:56 -0500
Received: from [176.228.60.248] (port=1897 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1euMo8-0006Mt-4o; Fri, 09 Mar 2018 13:31:56 -0500
Date: Fri, 09 Mar 2018 20:31:54 +0200
Message-Id: <83sh99umlh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tim Fischbach <mail@HIDDEN>
In-reply-to: <CAJXxpwQGR1d65Ev9sn-duc8LZuR1BbMxC_F4Yc4C+cJAnxra2g@HIDDEN>
 (message from Tim Fischbach on Fri, 09 Mar 2018 09:33:57 +0000)
Subject: Re: bug#30758: 25.3;
 Cannot exit minibuffer with C-g when opening file or switching buffers
References: <CAJXxpwQGR1d65Ev9sn-duc8LZuR1BbMxC_F4Yc4C+cJAnxra2g@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30758
Cc: 30758 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Tim Fischbach <mail@HIDDEN>
> Date: Fri, 09 Mar 2018 09:33:57 +0000
> 
> I am facing the exact problem described in 
> 
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26289
> 
> on both Emacs 25.3.2 and 24.5.1 also via `emacs -Q`. 
> When running emacs inside the terminal via `emacs -nw` the problem does not occur.

Thanks, but unless you can provide a reproducible recipe starting with
"emacs -Q", this report doesn't help us to find the reason and fix it,
exactly like bug#26289 didn't.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30758; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Mar 2018 16:22:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 11:22:18 2018
Received: from localhost ([127.0.0.1]:52717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1euKme-0002TG-HK
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 11:22:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fischbach.tim@HIDDEN>) id 1euEPy-0004l3-1l
 for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 04:34:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <fischbach.tim@HIDDEN>) id 1euEPo-0004MQ-BP
 for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 04:34:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36506)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <fischbach.tim@HIDDEN>)
 id 1euEPo-0004ME-7h
 for submit <at> debbugs.gnu.org; Fri, 09 Mar 2018 04:34:16 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49170)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <fischbach.tim@HIDDEN>) id 1euEPm-0002uj-Df
 for bug-gnu-emacs@HIDDEN; Fri, 09 Mar 2018 04:34:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <fischbach.tim@HIDDEN>) id 1euEPi-0004FK-EE
 for bug-gnu-emacs@HIDDEN; Fri, 09 Mar 2018 04:34:14 -0500
Received: from mail-oi0-f47.google.com ([209.85.218.47]:44334)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <fischbach.tim@HIDDEN>)
 id 1euEPi-0004Eg-35
 for bug-gnu-emacs@HIDDEN; Fri, 09 Mar 2018 04:34:10 -0500
Received: by mail-oi0-f47.google.com with SMTP id b8so6502996oib.11
 for <bug-gnu-emacs@HIDDEN>; Fri, 09 Mar 2018 01:34:09 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=U3INgSdr2+7JW7Kwmy98paPYoOmrVuvNJb28JDrYDtY=;
 b=L3vl/XDT2MlGANHj1HNh0An8an1uTh5HLGRlehNl+S2Wp8fHChPhlOGZEjOKLk7+eQ
 /upLl6gAHnKU+BeyMicMg8Km0K5GwODywzuBDadOZEJL8lRj5z+fPGN58iZIs4Apzv0/
 ol66Zlc6C0u2KmN05GlJaeMu8ygAQkX4lfT3bb9bZ2ANhYvkIUPb671ItSp33SDqUwYa
 zP+LuuhexXRRTQmVZmoOcAiQWxKqN3B7uCQY+QuaV3XDoao5h94jfB09CGQtTk+tQs+A
 o/WToorHCX8Q5gaMkdX5HktSgDmpDE+MNCBiQS4c9MHI+6OvUy147WnBVvKzk3YSiue3
 AIUQ==
X-Gm-Message-State: AElRT7HamUJXKo9x4TpyDX68wpr0wFniGQdmQD6Tbr2E6W8PpbXI5x0O
 YNgLxLhPwPwRR4a2Qo0qGlUAJm0yFmJKWLbQ36theA==
X-Google-Smtp-Source: AG47ELu++jDWIz7C6wQrNWMmjmwPBm0uYtVmyDBSXGCl3jg8VBbN8mO161gZze1Iff7EmNfdO8ctoK/TVkeTqL672ag=
X-Received: by 10.202.213.197 with SMTP id m188mr19908405oig.261.1520588048352; 
 Fri, 09 Mar 2018 01:34:08 -0800 (PST)
MIME-Version: 1.0
From: Tim Fischbach <mail@HIDDEN>
Date: Fri, 09 Mar 2018 09:33:57 +0000
Message-ID: <CAJXxpwQGR1d65Ev9sn-duc8LZuR1BbMxC_F4Yc4C+cJAnxra2g@HIDDEN>
Subject: 25.3; Cannot exit minibuffer with C-g when opening file or switching
 buffers
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="001a113b0b4878caf80566f77ed5"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 09 Mar 2018 11:22:15 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

--001a113b0b4878caf80566f77ed5
Content-Type: text/plain; charset="UTF-8"

Hi!

I am facing the exact problem described in

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26289

on both Emacs 25.3.2 and 24.5.1 also via `emacs -Q`.
When running emacs inside the terminal via `emacs -nw` the problem does not
occur.

Regards,
Tim

In GNU Emacs 25.3.2 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2017-09-12 built on lcy01-32
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: Ubuntu 16.04.3 LTS

Configured using:
 'configure --build=x86_64-linux-gnu --prefix=/usr
 '--includedir=${prefix}/include' '--mandir=${prefix}/share/man'
 '--infodir=${prefix}/share/info' --sysconfdir=/etc --localstatedir=/var
 --disable-silent-rules '--libdir=${prefix}/lib/x86_64-linux-gnu'
 '--libexecdir=${prefix}/lib/x86_64-linux-gnu' --disable-maintainer-mode
 --disable-dependency-tracking --prefix=/usr --sharedstatedir=/var/lib
 --program-suffix=25 --with-modules --with-x=yes --with-x-toolkit=gtk3
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
gui-get-primary-selection: No selection is available

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 87773 6169)
 (symbols 48 19852 0)
 (miscs 40 269 107)
 (strings 32 14685 4070)
 (string-bytes 1 425584)
 (vectors 16 12003)
 (vector-slots 8 436013 5055)
 (floats 8 166 28)
 (intervals 56 230 0)
 (buffers 976 18)
 (heap 1024 32330 891))

--001a113b0b4878caf80566f77ed5
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi!</div><div><br></div><div>I am facing the exact pr=
oblem described in=C2=A0</div><div><br></div><div>=C2=A0 <a href=3D"https:/=
/debbugs.gnu.org/cgi/bugreport.cgi?bug=3D26289">https://debbugs.gnu.org/cgi=
/bugreport.cgi?bug=3D26289</a></div><div><br></div><div>on both Emacs 25.3.=
2 and 24.5.1 also via `emacs -Q`.=C2=A0</div><div>When running emacs inside=
 the terminal via `emacs -nw` the problem does not occur.</div><div><br></d=
iv><div>Regards,</div><div>Tim</div><div><br></div><div>In GNU Emacs 25.3.2=
 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)</div><div>=C2=A0of 2017-09-12 b=
uilt on lcy01-32</div><div>Windowing system distributor &#39;The X.Org Foun=
dation&#39;, version 11.0.11804000</div><div>System Description:<span style=
=3D"white-space:pre">	</span>Ubuntu 16.04.3 LTS</div><div><br></div><div>Co=
nfigured using:</div><div>=C2=A0&#39;configure --build=3Dx86_64-linux-gnu -=
-prefix=3D/usr</div><div>=C2=A0&#39;--includedir=3D${prefix}/include&#39; &=
#39;--mandir=3D${prefix}/share/man&#39;</div><div>=C2=A0&#39;--infodir=3D${=
prefix}/share/info&#39; --sysconfdir=3D/etc --localstatedir=3D/var</div><di=
v>=C2=A0--disable-silent-rules &#39;--libdir=3D${prefix}/lib/x86_64-linux-g=
nu&#39;</div><div>=C2=A0&#39;--libexecdir=3D${prefix}/lib/x86_64-linux-gnu&=
#39; --disable-maintainer-mode</div><div>=C2=A0--disable-dependency-trackin=
g --prefix=3D/usr --sharedstatedir=3D/var/lib</div><div>=C2=A0--program-suf=
fix=3D25 --with-modules --with-x=3Dyes --with-x-toolkit=3Dgtk3</div><div>=
=C2=A0&#39;CFLAGS=3D-g -O2 -fstack-protector-strong -Wformat</div><div>=C2=
=A0-Werror=3Dformat-security&#39; &#39;CPPFLAGS=3D-Wdate-time -D_FORTIFY_SO=
URCE=3D2&#39;</div><div>=C2=A0&#39;LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-=
z,relro&#39;&#39;</div><div><br></div><div>Configured features:</div><div>X=
PM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS</div><=
div>NOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB</div=
><div>TOOLKIT_SCROLL_BARS GTK3 X11 MODULES</div><div><br></div><div>Importa=
nt settings:</div><div>=C2=A0 value of $LANG: de_DE.UTF-8</div><div>=C2=A0 =
value of $XMODIFIERS: @im=3Dibus</div><div>=C2=A0 locale-coding-system: utf=
-8-unix</div><div><br></div><div>Major mode: Lisp Interaction</div><div><br=
></div><div>Minor modes in effect:</div><div>=C2=A0 tooltip-mode: t</div><d=
iv>=C2=A0 global-eldoc-mode: t</div><div>=C2=A0 electric-indent-mode: t</di=
v><div>=C2=A0 mouse-wheel-mode: t</div><div>=C2=A0 tool-bar-mode: t</div><d=
iv>=C2=A0 menu-bar-mode: t</div><div>=C2=A0 file-name-shadow-mode: t</div><=
div>=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock-mode: t</div=
><div>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 auto-composition-mode: t=
</div><div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compression=
-mode: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient-ma=
rk-mode: t</div><div><br></div><div>Recent messages:</div><div>For informat=
ion about GNU Emacs and the GNU system, type C-h C-a.</div><div>gui-get-pri=
mary-selection: No selection is available</div><div><br></div><div>Load-pat=
h shadows:</div><div>None found.</div><div><br></div><div>Features:</div><d=
iv>(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml</di=
v><div>mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies<=
/div><div>mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader send=
mail</div><div>rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easyme=
nu</div><div>cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-=
util</div><div>tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-flo=
at-type</div><div>mwheel x-win term/common-win x-dnd tool-bar dnd fontset i=
mage regexp-opt</div><div>fringe tabulated-list newcomment elisp-mode lisp-=
mode prog-mode register</div><div>page menu-bar rfn-eshadow timer select sc=
roll-bar mouse jit-lock</div><div>font-lock syntax facemenu font-core frame=
 cl-generic cham georgian</div><div>utf-8-lang misc-lang vietnamese tibetan=
 thai tai-viet lao korean</div><div>japanese eucjp-ms cp51932 hebrew greek =
romanian slovak czech european</div><div>ethiopic indian cyrillic chinese c=
harscript case-table epa-hook</div><div>jka-cmpr-hook help simple abbrev mi=
nibuffer cl-preloaded nadvice</div><div>loaddefs button faces cus-face macr=
oexp files text-properties overlay</div><div>sha1 md5 base64 format env cod=
e-pages mule custom widget</div><div>hashtable-print-readable backquote dbu=
sbind inotify dynamic-setting</div><div>system-font-setting font-render-set=
ting move-toolbar gtk x-toolkit x</div><div>multi-tty make-network-process =
emacs)</div><div><br></div><div>Memory information:</div><div>((conses 16 8=
7773 6169)</div><div>=C2=A0(symbols 48 19852 0)</div><div>=C2=A0(miscs 40 2=
69 107)</div><div>=C2=A0(strings 32 14685 4070)</div><div>=C2=A0(string-byt=
es 1 425584)</div><div>=C2=A0(vectors 16 12003)</div><div>=C2=A0(vector-slo=
ts 8 436013 5055)</div><div>=C2=A0(floats 8 166 28)</div><div>=C2=A0(interv=
als 56 230 0)</div><div>=C2=A0(buffers 976 18)</div><div>=C2=A0(heap 1024 3=
2330 891))</div><div><br></div></div>

--001a113b0b4878caf80566f77ed5--




Acknowledgement sent to Tim Fischbach <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30758; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 10 Mar 2018 03:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.